/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.OrgRole;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype role
 * @alias OrgEntityWithPositionToFill
 */
public class OrgEntityWithPosToFill extends RelMgmt.Party.OrgRole {
    public Vector calcPositionAssignments() {
        return new Vector();
    }

    public Vector calcWorkersAssigned() {
        return new Vector();
    }

    public Vector compareReqtVsActual() {
        return new Vector();
    }

    public Vector forecastPositionReqts() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private HumanResMgmt.PositionRequest.PositionRequest lnkUnnamed4;
}


